using System.Net;

using YandexMusic.API.Common;
using YandexMusic.API.Models.Artist;
using YandexMusic.API.Models.Common;
using YandexMusic.API.Requests.Common;
using YandexMusic.API.Requests.Common.Attributes;

namespace YandexMusic.API.Requests.Artist;

[YApiRequest(WebRequestMethods.Http.Get, "artists/{artistId}/brief-info")]
public class YGetArtistBuilder : YRequestBuilder<YResponse<YArtistBriefInfo>, string>
{
    public YGetArtistBuilder(YandexMusicApi yandex, AuthStorage auth) : base(yandex, auth)
    {
    }

    protected override Dictionary<string, string> GetSubstitutions(string artistId)
    {
        return new Dictionary<string, string> {
            { "artistId", artistId }
        };
    }
}